ResourceClosingIterator (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.helpers.collection

## Class ResourceClosingIterator<T,V>

- java.lang.Object
- - org.neo4j.helpers.collection.ResourceClosingIterator<T,V>

- All Implemented Interfaces:
    AutoCloseable, Iterator<V>, Resource, ResourceIterator<V>

      public abstract class ResourceClosingIterator<T,V>
      extends Object
      implements ResourceIterator<V>

- - ### Field Summary

    - ### Fields inherited from interface org.neo4j.graphdb.Resource

      `EMPTY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the iterator early, freeing associated resources It is an error to use the iterator after this has been called.
    `boolean` | `hasNext()`
    `abstract V` | `map(T elem)`
    `static <T> ResourceIterator<T>` | `newResourceIterator(Resource resource, Iterator<T> iterator)`
    `V` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newResourceIterator

          public static <T> ResourceIterator<T> newResourceIterator(Resource resource,
                                                    Iterator<T> iterator)

    - #### close

          public void close()

      Description copied from interface: `ResourceIterator`
      Close the iterator early, freeing associated resources It is an error to use the iterator after this has been called.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Resource`
      Specified by:
        `close` in interface `ResourceIterator<V>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<V>`

    - #### map

          public abstract V map(T elem)

    - #### next

          public V next()

      Specified by:
        `next` in interface `Iterator<V>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<V>`

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.